define(['bluebird', 'model/ParentWidget' ], function () {
    var Promise = require('bluebird');

    var exports = {};

    var ParentWidget = require('model/ParentWidget');

    exports.addWidget = function ($parent, settings) {
        return new ParentWidget($parent, settings);
    };

    return exports;
});
